Index: trunk/MagicSoft/Mars/datacenter/db/builddatasets.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/builddatasets.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/builddatasets.php	(revision 9498)
@@ -1,5 +1,23 @@
 <?php
-{
-    function CreateQuery($_GET, $alias, $checkwhere, $checkgroup, $checkstatusgroup, $needs)
+
+    function PrintDataSetFile()
+    {
+            printf("AnalysisNumber: 1\n\n");
+            printf("SeqencesOn: %s \n", $_SESSION["sequon"]);
+            if ($_SESSION["sequoff"]!=" ")
+                printf("SeqencesOff: %s \n\n", $_SESSION["sequoff"]);
+            else
+                printf("\n");
+
+            printf("SourceName: %s \n", $_SESSION["realsourcename"]);
+            printf("Catalog: /magic/datacenter/setup/magic_favorites_dc.edb \n");
+            if ($_SESSION["sequoff"]==" ")
+                printf("WobbleMode: On \n\n");
+            printf("RunTime: %s \n", $_SESSION["runtime"]);
+            printf("Name: %s \n", $_SESSION["name"]);
+            printf("Comment: %s \n", $_SESSION["comment"]);
+    }
+
+    function CreateQuery($alias, $checkwhere, $checkgroup, $checkstatusgroup, $needs)
     {
         $fromtable="Sequences";
@@ -15,5 +33,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -37,5 +55,4 @@
                     if ($element==-1)
                         $query0 .= " (if(IsNull(" . $key . "), if(isnull(fStartTime), 'not done', if(isnull(fFailedTime),if(isnull(" . $needs[$key] . "),'not done',if(date_sub(Now(),interval 12 hour) < fStartTime,'running','crashed')),if(isnull(" . $needs[$key] . "),'not done','failed'))) ,if(" . $key . "='1970-01-01 00:00:00','dont do','done'))) as '" . $alias[$key] . "', ";
-//                        $query0 .= " (if(IsNull(" . $key . "), 'not done' ,if(" . $key . "='1970-01-01 00:00:00','dont do','done'))) as '" . $alias[$key] . "', ";
 
                 $query0 .= " COUNT(*) as '# Sequ'";
@@ -45,8 +62,8 @@
             {
                 $query0 .= " " . $fromtable . ".fSequenceFirst as '" . $alias["fSequenceFirst"] . "' ";
-                if (!empty($_GET["fLinks"]))
+                if (!empty($_SESSION["fLinks"]))
                 {
                     $query0 .= ", CONCAT('<A&ws;HREF=\"runinfo-aio.php?',  'fRunStart=On', '&amp;fZenithDistance=On', '&amp;fRunMin=', Sequences.fSequenceFirst, '&amp;fMeanTriggerRate=On', '&amp;fTest=On', '&amp;fRunTypeName=On', '&amp;fRunMax=', fSequenceLast, '&amp;fNumEvents=On', '&amp;fSourceName=On&amp;', 'fExcludedFDAKEY=1', '&amp;fSequenceFirst=On', '&amp;fRawFileAvail=On', '&amp;fCCFileAvail=On', '&amp;fCaCoFileAvail=On', '&amp;fNumResults=500\">r</A>' ";
-                    //                        $query0 .= " as " . $alias["fSequenceFirst"];
+                    //$query0 .= " as " . $alias["fSequenceFirst"];
                     $query0 .= ", '&nbsp;<A&ws;HREF=\"http://www.astro.uni-wuerzburg.de/datacenter/callisto/' , LEFT(LPAD(CONCAT(Sequences.fSequenceFirst, '.'), 9,'0'),4), '/', LPAD(CONCAT(Sequences.fSequenceFirst, '/'), 9,'0'), 'callisto', LPAD(CONCAT(Sequences.fSequenceFirst , '.html'), 13,'0') , '\">cl</A>'";
                     $query0 .= ", '&nbsp;<A&ws;HREF=\"http://www.astro.uni-wuerzburg.de/datacenter/callisto/' , LEFT(LPAD(CONCAT(Sequences.fSequenceFirst, '.'), 9,'0'),4), '/', LPAD(CONCAT(Sequences.fSequenceFirst, '/'), 9,'0'), '\">c</A>'";
@@ -58,9 +75,10 @@
                 }
 
-                foreach ($_GET as $key => $element)
-                    if ($_GET[$key]=="On")
+                foreach ($_SESSION as $key => $element)
+                    if ($_SESSION[$key]=="On")
                         if ($key!="fLinks" && $key!="fOff" && $key!="fOnlyOff")
-                            if (empty($checkwhere[$key]) || $checkwhere[$key]==0)
-                                $query0 .= ", " . $key . " as '" . $alias[$key] . "' ";
+                            if (!(ereg("^[0-9]*ON$", $key) || ereg("^[0-9]*Off$", $key)))
+                                if (empty($checkwhere[$key]) || $checkwhere[$key]==0)
+                                    $query0 .= ", " . $key . " as '" . $alias[$key] . "' ";
             }
         }
@@ -72,17 +90,53 @@
         $query0 .= " LEFT JOIN Star USING(fSequenceFirst,fTelescopeNumber) ";
 
-        foreach ($_GET as $key => $element)
-            if (($_GET[$key]=="On" || $groups>0))// && !empty(GetJoin($fromtable,$key)))
+        foreach ($_SESSION as $key => $element)
+            if (($_SESSION[$key]=="On" || $groups>0))// && !empty(GetJoin($fromtable,$key)))
                 $query0 .= GetJoin($fromtable,$key);
 
-        if ($_GET["fTest"]!="On")
-        {
-            if ($_GET["fSourceName"]!="On")
-                $query0 .= " LEFT JOIN Source USING(fSourceKEY) ";
-            $query0 .= " WHERE fTest='no'";
-        }
-
-        if ($_GET["fOff"]=="Off")
-        {
+        if ($_SESSION["DisplaySelected"]!="yes" || ($_SESSION["sequon"]==" " && $_SESSION["sequoff"]==" "))
+        {
+            if ($_SESSION["fTest"]!="On")
+            {
+                if ($_SESSION["fSourceName"]!="On")
+                    $query0 .= " LEFT JOIN Source USING(fSourceKEY) ";
+                $query0 .= " WHERE fTest='no'";
+            }
+
+            if ($_SESSION["fOff"]=="Off")
+            {
+                if (strpos($query0, " WHERE ")==FALSE)
+                    $query0 .= " WHERE ";
+                else
+                    $query0 .= " AND ";
+
+                $query0 .= " NOT (fSourceName like '%Off%')";
+            }
+
+            if ($_SESSION["fOnlyOff"]=="On")
+            {
+                if (strpos($query0, " WHERE ")==FALSE)
+                    $query0 .= " WHERE ";
+                else
+                    $query0 .= " AND ";
+
+                $query0 .= " fSourceName like '%Off%'";
+            }
+
+            foreach ($checkwhere as $key => $element)
+            {
+                if (empty($element) || $element<=0)
+                    continue;
+
+                if (strpos($query0, " WHERE ")==FALSE)
+                    $query0 .= " WHERE ";
+                else
+                    if ($element!=-1)
+                        if (strrpos($query0, " AND ")!=strlen($query0)-5)
+                            $query0 .= " AND ";
+
+                if ($element!=-1)
+                    $query0 .= GetCheck($fromtable, $key) . "=" . $element;
+            }
+
             if (strpos($query0, " WHERE ")==FALSE)
                 $query0 .= " WHERE ";
@@ -90,245 +144,129 @@
                 $query0 .= " AND ";
 
-            $query0 .= " NOT (fSourceName like '%Off%')";
-        }
-
-        if ($_GET["fOnlyOff"]=="On")
-        {
-            if (strpos($query0, " WHERE ")==FALSE)
-                $query0 .= " WHERE ";
+            $query0 .= StatusQuery("fSequenceFileWritten", $needs, $timelimits);
+            $query0 .= StatusQuery("fAllFilesAvail", $needs, $timelimits);
+            $query0 .= StatusQuery("fCallisto", $needs, $timelimits);
+            $query0 .= StatusQuery("fFillCallisto", $needs, $timelimits);
+            $query0 .= StatusQuery("fStar", $needs, $timelimits);
+            $query0 .= StatusQuery("fFillStar", $needs, $timelimits);
+
+            if (!empty($_SESSION["fRunMin"]) && !empty($_SESSION["fRunMax"]))
+                $query0 .= "Sequences.fSequenceFirst BETWEEN " . $_SESSION["fRunMin"] . " AND " . $_SESSION["fRunMax"] . " ";
             else
-                $query0 .= " AND ";
-
-            $query0 .= " fSourceName like '%Off%'";
-        }
-
-        foreach ($checkwhere as $key => $element)
-        {
-            if (empty($element) || $element<=0)
-                continue;
-
-            if (strpos($query0, " WHERE ")==FALSE)
-                $query0 .= " WHERE ";
-            else
-                if ($element!=-1)
-                    if (strrpos($query0, " AND ")!=strlen($query0)-5)
-                        $query0 .= " AND ";
-
-            if ($element!=-1)
-                $query0 .= GetCheck($fromtable, $key) . "=" . $element;
-        }
-
-        if (strpos($query0, " WHERE ")==FALSE)
-            $query0 .= " WHERE ";
+                $query0 = substr($query0, 0, -4);
+
+            if ((!empty($_SESSION["fZDMin"]) || $_SESSION["fZDMin"]==0) && !empty($_SESSION["fZDMax"]))
+                $query0 .= "AND (fZenithDistanceMin >= " . $_SESSION["fZDMin"] . " AND fZenithDistanceMax <= " . $_SESSION["fZDMax"] . ") ";
+
+            if (!empty($_SESSION["fSourceN"]))
+                $query0 .= " AND fSourceName REGEXP \"^" . $_SESSION["fSourceN"] . "\" ";
+
+            if (!empty($_SESSION["fStartDate"]))
+            {
+                if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
+                    $query0 .= " AND ";
+
+                $startdate=substr($_SESSION["fStartDate"], 0, 10);
+                if ($startdate=="0000-00-00")
+                    $query0 .=" fRunStart >= '" . $startdate . " 00:00:00' ";
+                else
+                    $query0 .= " fRunStart >= ADDDATE('" . $startdate . " 13:00:00', INTERVAL -1 DAY) ";
+            }
+
+            if (!empty($_SESSION["fStopDate"]))
+            {
+                if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
+                    $query0 .= " AND ";
+
+                $stopdate=substr($_SESSION["fStopDate"], 0, 10);
+                $query0 .= " fRunStart < '" . $stopdate . " 13:00:00' ";
+            }
+
+            if (!empty($_SESSION["fStarStart"]))
+            {
+                if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
+                    $query0 .= " AND ";
+
+                $starstart=substr($_SESSION["fStarStart"], 0, 10);
+                $query0 .=" fStar >= '" . $starstart . " 00:00:00' ";
+            }
+
+            if (!empty($_SESSION["fStarStop"]))
+            {
+                if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
+                    $query0 .= " AND ";
+
+                $starstop=substr($_SESSION["fStarStop"], 0, 10);
+                $query0 .= " fStar < '" . $starstop . " 23:59:59' ";
+            }
+
+            if ($groups>0)
+            {
+                $query0 .= " GROUP BY ";
+                $num = $groups;
+                foreach ($checkgroup as $key => $element)
+                    if ($element==-1)
+                    {
+                        $query0 .= GetCheck($fromtable,$key);
+                        if ($num-->1)
+                            $query0 .= ", ";
+                    }
+            }
+
+            if ($statusgroups>0)
+            {
+                $query0 .= " GROUP BY ";
+                $num = $statusgroups;
+                foreach ($checkstatusgroup as $key => $element)
+                    if ($element==-1)
+                    {
+                        $query0 .= $alias[$key];
+                        if ($num-->1)
+                            $query0 .= ", ";
+                    }
+            }
+
+        }
         else
-            $query0 .= " AND ";
-
-        $query0 .= StatusQuery("fSequenceFileWritten", $needs, $timelimits);
-        $query0 .= StatusQuery("fAllFilesAvail", $needs, $timelimits);
-        $query0 .= StatusQuery("fCallisto", $needs, $timelimits);
-        $query0 .= StatusQuery("fFillCallisto", $needs, $timelimits);
-        $query0 .= StatusQuery("fStar", $needs, $timelimits);
-        $query0 .= StatusQuery("fFillStar", $needs, $timelimits);
-
-        if (!empty($_GET["fRunMin"]) && !empty($_GET["fRunMax"]))
-            $query0 .= "Sequences.fSequenceFirst BETWEEN " . $_GET["fRunMin"] . " AND " . $_GET["fRunMax"] . " ";
+        {
+            $displsequ=str_replace("  ", " ", $_SESSION["sequon"].$_SESSION["sequoff"]);
+            $displsequ=ereg_replace("^ ", "(", $displsequ);
+            $displsequ=ereg_replace(" $", ")", $displsequ);
+            $displsequ=str_replace(" ",  ",", $displsequ);
+
+            $query0 .= "WHERE fSequenceFirst IN " . $displsequ;
+        }
+
+        if (!empty($_SESSION["fSortBy"]))
+        {
+            $val=substr($_SESSION["fSortBy"], 0, -1);
+            $query0 .= " ORDER BY " . GetTable($fromtable,$val) . " ";
+            if (substr($_SESSION["fSortBy"], -1)=="-")
+                $query0 .= "DESC";
+        }
+
+        if (empty($_SESSION["fSortBy"]) && $groups==0 && $statusgroups==0)
+            $query0 .= " ORDER BY Sequences.fSequenceFirst DESC ";
+
+        if (empty($_SESSION["fNumStart"]))
+            $start=0;
         else
-            $query0 = substr($query0, 0, -4);
-
-        if ((!empty($_GET["fZDMin"]) || $_GET["fZDMin"]==0) && !empty($_GET["fZDMax"]))
-            $query0 .= "AND (fZenithDistanceMin >= " . $_GET["fZDMin"] . " AND fZenithDistanceMax <= " . $_GET["fZDMax"] . ") ";
-
-        if (!empty($_GET["fSourceN"]))
-            $query0 .= " AND fSourceName REGEXP \"^" . $_GET["fSourceN"] . "\" ";
-
-        if (!empty($_GET["fStartDate"]))
-        {
-            if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
-                $query0 .= " AND ";
-
-            $startdate=substr($_GET["fStartDate"], 0, 10);
-            if ($startdate=="0000-00-00")
-                $query0 .=" fRunStart >= '" . $startdate . " 00:00:00' ";
-            else
-                $query0 .= " fRunStart >= ADDDATE('" . $startdate . " 13:00:00', INTERVAL -1 DAY) ";
-        }
-
-        if (!empty($_GET["fStopDate"]))
-        {
-            if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
-                $query0 .= " AND ";
-
-            $stopdate=substr($_GET["fStopDate"], 0, 10);
-            $query0 .= " fRunStart < '" . $stopdate . " 13:00:00' ";
-        }
-
-        if (!empty($_GET["fStarStart"]))
-        {
-            if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
-                $query0 .= " AND ";
-
-            $starstart=substr($_GET["fStarStart"], 0, 10);
-            $query0 .=" fStar >= '" . $starstart . " 00:00:00' ";
-        }
-
-        if (!empty($_GET["fStarStop"]))
-        {
-            if (strpos(strrev($query0), " DNA ")!=0 || !strpos(strrev($query0), " DNA "))
-                $query0 .= " AND ";
-
-            $starstop=substr($_GET["fStarStop"], 0, 10);
-            $query0 .= " fStar < '" . $starstop . " 23:59:59' ";
-        }
-
-        if ($groups>0)
-        {
-            $query0 .= " GROUP BY ";
-            $num = $groups;
-            foreach ($checkgroup as $key => $element)
-                if ($element==-1)
-                {
-                    $query0 .= GetCheck($fromtable,$key);
-                    if ($num-->1)
-                        $query0 .= ", ";
-                }
-        }
-
-        if ($statusgroups>0)
-        {
-            $query0 .= " GROUP BY ";
-            $num = $statusgroups;
-            foreach ($checkstatusgroup as $key => $element)
-                if ($element==-1)
-                {
-                    $query0 .= $alias[$key];
-                    if ($num-->1)
-                        $query0 .= ", ";
-                }
-        }
-
-        if (!empty($_GET["fSortBy"]))
-        {
-            $val=substr($_GET["fSortBy"], 0, -1);
-            $query0 .= " ORDER BY " . GetTable($fromtable,$val) . " ";
-            if (substr($_GET["fSortBy"], -1)=="-")
-                $query0 .= "DESC";
-        }
-
-        if (empty($_GET["fSortBy"]) && $groups==0 && $statusgroups==0)
-            $query0 .= "ORDER BY Sequences.fSequenceFirst DESC ";
-
-        if (empty($_GET["fNumStart"]))
-            $_GET["fNumStart"]=0;
-
-        if (empty($_GET["fSendTxt"]))
-            $query0 .= " LIMIT " . $_GET["fNumStart"] . ", " . $_GET["fNumResults"];
-
-        return $query0;
-    }
-
-    function InitGet($_GET)
-    {
-        // Find out whether it is the first call to the php script
-        $first = empty($_GET["fRunMin"]) && empty($_GET["fRunMax"]);
-
-        if (empty($_GET["fNumResults"]))
-            $_GET["fNumResults"]="100";
-
-        if (empty($_GET["fRunStart"]))
-            $_GET["fRunStart"]=$first?"On":"";
-
-        if (empty($_GET["fRunTime/60"]))
-            $_GET["fRunTime/60"]=$first?"On":"";
-
-        if (empty($_GET["fZenithDistanceMin"]))
-            $_GET["fZenithDistanceMin"]=$first?"On":"";
-
-        if (empty($_GET["fZenithDistanceMax"]))
-            $_GET["fZenithDistanceMax"]=$first?"On":"";
-
-        if (empty($_GET["fSourceName"]))
-            $_GET["fSourceName"]=$first?"On":"";
-
-        if (empty($_GET["fObservationModeName"]))
-            $_GET["fObservationModeName"]=$first?"On":"";
-
-        if (empty($_GET["fUnsuitableInner"]))
-            $_GET["fUnsuitableInner"]=$first?"On":"";
-
-        if (empty($_GET["fUnreliableInner"]))
-            $_GET["fUnreliableInner"]=$first?"On":"";
-
-        if (empty($_GET["fIsolatedInner"]))
-            $_GET["fIsolatedInner"]=$first?"On":"";
-
-        if (empty($_GET["fIsolatedMaxCluster"]))
-            $_GET["fIsolatedMaxCluster"]=$first?"On":"";
-
-//        if (empty($_GET["fArrTimeMeanInner"]))
-//            $_GET["fArrTimeMeanInner"]=$first?"On":"";
-
-        if (empty($_GET["fArrTimeRmsInner"]))
-            $_GET["fArrTimeRmsInner"]=$first?"On":"";
-
-        if (empty($_GET["fMeanPedRmsInner"]))
-            $_GET["fMeanPedRmsInner"]=$first?"On":"";
-
-        if (empty($_GET["fPulsePosMean"]))
-            $_GET["fPulsePosMean"]=$first?"On":"";
-
-        if (empty($_GET["fConvFactorInner"]))
-            $_GET["fConvFactorInner"]=$first?"On":"";
-
-        if (empty($_GET["fInhomogeneity"]))
-            $_GET["fInhomogeneity"]=$first?"On":"";
-
-        if (empty($_GET["fPSF"]))
-            $_GET["fPSF"]=$first?"On":"";
-
-        if (empty($_GET["fMuonNumber"]))
-            $_GET["fMuonNumber"]=$first?"On":"";
-
-        if (empty($_GET["fEffOnTime/fRunTime"]))
-            $_GET["fEffOnTime/fRunTime"]=$first?"On":"";
-
-        if (empty($_GET["fMuonRate"]))
-            $_GET["fMuonRate"]=$first?"On":"";
-
-        if (empty($_GET["fDataRate"]))
-            $_GET["fDataRate"]=$first?"On":"";
-
-//        if (empty($_GET["fMaxHumidity"]))
-//            $_GET["fMaxHumidity"]=$first?"On":"";
-
-        if (empty($_GET["fBrightnessMed"]))
-            $_GET["fBrightnessMed"]=$first?"On":"";
-
-        if (empty($_GET["fNumStarsMed"]))
-            $_GET["fNumStarsMed"]=$first?"On":"";
-
-        if (empty($_GET["fNumStarsCorMed"]))
-            $_GET["fNumStarsCorMed"]=$first?"On":"";
-
-        if (empty($_GET["fOff"]))
-            $_GET["fOff"]=$first?"On":"";
-
-        if (empty($_GET["fLinks"]))
-            $_GET["fLinks"]=$first?"On":"";
-
-        if (empty($_GET["fOnlyOff"]))
-            $_GET["fOnlyOff"]=$first?"Off":"";
-
-        InitFindOffData($_GET, $first);
-    }
-
-    function PrintForm($_GET, $host, $user, $pw, $db, $limitsmean, $limitsmin, $limitsmax, $alias)
+            $start=$_SESSION["fNumStart"];
+
+        if (empty($_SESSION["fSendTxt"]))
+            $query0 .= " LIMIT " . $start . ", " . $_SESSION["fNumResults"];
+
+            return $query0;
+    }
+
+    function PrintForm($host, $user, $pw, $db, $limitsmean, $limitsmin, $limitsmax, $alias)
     {
         printf("<center>\n");
         printf("<form action='builddatasets.php' METHOD='GET'>\n");
         printf("<input id='sh' type='hidden' name='fShowHide' value='");
-        if (!empty($_GET["fShowHide"]))
-            printf("%s", $_GET["fShowHide"]);
+        if (!empty($_SESSION["fShowHide"]))
+            printf("%s", $_SESSION["fShowHide"]);
         else
-            printf("1000000000");
+            printf("1000000010");//display Ranges
         printf("'>\n");
         printf("<img id='allbutton' src='minus.png' alt='-' onclick='showhide(\"all\")'> <b>Menu</b>&nbsp;&nbsp;&nbsp;&nbsp;\n");
@@ -370,20 +308,4 @@
         PrintButtons("builddatasets.php");
 
-        $sequon=" ";
-        $sequoff=" ";
-        foreach($_POST as $key => $val)
-            if ($val=="On")
-            {
-                if (ereg("ON$", $key))
-                    $sequon.=str_replace("ON", " ", $key);
-                if (ereg("Off$", $key))
-                    $sequoff.=str_replace("Off", " ", $key);
-            }
-        printf("<input name='Set' type='hidden' value='%s'>\n", $sequon);
-        printf("<input name='Set2' type='hidden' value='%s'>\n", $sequoff);
-        printf("<input name='name' type='hidden' value='%s'>\n", $_POST["name"]);
-        printf("<input name='comment' type='hidden' value='%s'>\n", $_POST["comment"]);
-        printf("<input name='obsmode' type='hidden' value='%s'>\n", $_POST["fObservationModeKEY"]);
-        printf("<input name='username' type='hidden' value='%s'>\n", $_POST["fUserKEY"]);
         printf("</form>\n");
         printf("</center>\n");
@@ -394,4 +316,62 @@
     }
 
+    function InsertDataSet($values, $dataset)
+    {
+        $insquery[0]="INSERT DataSets SET fDataSetNumber=" . $dataset . ", fUserKEY=" . $_SESSION["user"];
+        $insquery[0].=", fComment='" . $_SESSION["comment"] . "', fObservationModeKEY=" . $_SESSION["obsmode"];
+        $insquery[0].=", fDataSetName='" . $_SESSION["name"] . "', fSourceKEY= " . $_SESSION["realsourcekey"];
+        $insquery[0].=", fRunStart='" . $values["Min(fRunStart)"]["on"];
+        $insquery[0].="', fRunStop='" . $values["Max(fRunStop)"]["on"];
+        $insquery[0].="', fZenithDistanceMin=" . $values["Min(fZenithDistanceMin)"]["on"];
+        $insquery[0].=", fZenithDistanceMax=" . $values["Max(fZenithDistanceMax)"]["on"];
+        $insquery[0].=", fRunTime=" . $_SESSION["runtime"];
+        $insquery[1]="INSERT DataSetProcessStatus SET fDataSetNumber=" . $dataset . ", fDataSetInserted=Now()";
+        $i=2;
+        foreach(explode(" ", trim($_SESSION["sequon"])) as $key => $sequ)
+        {
+            $insquery[$i]="INSERT DataSetSequenceMapping SET fDataSetNumber=" . $dataset;
+            $insquery[$i].=", fSequenceFirst=" . $sequ . ", fOnOff=1";
+            $i=$i+1;
+        }
+        if (!empty($off))
+        {
+            foreach(explode(" ", trim($_SESSION["sequoff"])) as $key => $sequ)
+            {
+                $insquery[$i]="INSERT DataSetSequenceMapping SET fDataSetNumber=" . $dataset;
+                $insquery[$i].=", fSequenceFirst=" . $sequ . ", fOnOff=2";
+                $i=$i+1;
+            }
+        }
+        // insert
+        if (!empty($_SESSION["insert"]) && $numerr==0)
+        {
+            printf("<br><br>\n");
+            foreach($insquery as $num => $q)
+            {
+                printf("Inserted Query #%s: %s<br>\n", $num, $q);
+                $insresult=mysql_query($q);
+                if (mysql_errno()>0)
+                    printf("&nbsp; Errorno: %s <br>\n", mysql_errno());
+                if (mysql_error()!="")
+                    printf("&nbsp; Errormsg: %s <br>\n", mysql_error());
+                if (mysql_info()!="")
+                    printf("&nbsp; Info: %s <br>\n", mysql_info());
+                printf("&nbsp; Affected Rows: %s <br><br>\n", mysql_affected_rows());
+                mysql_free_result($insresult);
+                if (mysql_errno()>0)
+                {
+                    printf("ERROR => stop inserting. <br><br>\n");
+                    break;
+                }
+            }
+            // reset after insert
+            unset($_SESSION["insert"]);
+            unset($_SESSION["name"]);
+            unset($_SESSION["comment"]);
+        }
+        else
+            printf("<input type='button' value='Insert Data Set' onClick='self.location.href=\"%s&insert=yes\"'>&nbsp;&nbsp;&nbsp;\n", GetClearedURL());
+    }
+
     function PrintPage($html, $host, $user, $pw, $db, $alias, $rightalign, $checkwhere, $checkgroup, $checkstatusgroup, $limitsmean, $limitsmin, $limitsmax, $needs)
     {
@@ -404,7 +384,8 @@
         mysql_select_db($db);
 
-        $query0 = CreateQuery($_GET, $alias, $checkwhere, $checkgroup, $checkstatusgroup, $needs);
+        $query0 = CreateQuery($alias, $checkwhere, $checkgroup, $checkstatusgroup, $needs);
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
